Get a policy rule
curl --request GET \
--url https://api.tuteliq.ai/api/v1/policy/automation/{ruleId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"success": true,
"rule": {
"id": "<string>",
"name": "<string>",
"enabled": true,
"endpoints": [
"<string>"
],
"conditions": {
"min_risk_score": 0.5,
"categories": [
"<string>"
],
"age_groups": [
"<string>"
]
},
"action": {
"escalate_to": "<string>",
"notify_channel": "<string>",
"message": "<string>",
"override_severity": "<string>"
},
"priority": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}Get a policy rule
Retrieve a specific policy rule by ID.
GET
/
api
/
v1
/
policy
/
automation
/
{ruleId}
Get a policy rule
curl --request GET \
--url https://api.tuteliq.ai/api/v1/policy/automation/{ruleId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/policy/automation/{ruleId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"success": true,
"rule": {
"id": "<string>",
"name": "<string>",
"enabled": true,
"endpoints": [
"<string>"
],
"conditions": {
"min_risk_score": 0.5,
"categories": [
"<string>"
],
"age_groups": [
"<string>"
]
},
"action": {
"escalate_to": "<string>",
"notify_channel": "<string>",
"message": "<string>",
"override_severity": "<string>"
},
"priority": 123,
"created_at": "<string>",
"updated_at": "<string>"
}
}⌘I